tigase.jaxmpp.core.client.xmpp.modules.chat

## Class AbstractChatManager

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.chat.AbstractChatManager

- Direct Known Subclasses:
    AndroidChatManager

      public abstract class AbstractChatManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Context` | `context`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractChatManager()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `close(Chat chat)`
    `abstract Chat` | `createChat(JID fromJid, String threadId)`
    `abstract Chat` | `getChat(JID jid, String threadId)`
    `abstract List<Chat>` | `getChats()`
    `Context` | `getContext()`
    `protected void` | `initialize()`
    `abstract boolean` | `isChatOpenFor(BareJID jid)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected Context context

  - ### Constructor Detail

    - #### AbstractChatManager

          protected AbstractChatManager()

  - ### Method Detail

    - #### close

          public abstract boolean close(Chat chat)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### createChat

          public abstract Chat createChat(JID fromJid,
                                          String threadId)
                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getChat

          public abstract Chat getChat(JID jid,
                                       String threadId)

    - #### getChats

          public abstract List<Chat> getChats()

    - #### getContext

          public Context getContext()

    - #### initialize

          protected void initialize()

    - #### isChatOpenFor

          public abstract boolean isChatOpenFor(BareJID jid)

    - #### setContext

          public void setContext(Context context)

Copyright © 2006–2016 Tigase. All rights reserved.